<?php
namespace Ep\Wp\Core;

use wpdb;

/**
 * Zamijena za WordPressovu db klasu.
 *
 * @package Ep\Wp\Core
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/wordpress
 */
class Db extends wpdb
{
    public function __construct(string $username, string $password, string $database, string $hostname)
    {
        define('DB_NAME', $database);
        define('DB_USER', $username);
        define('DB_PASSWORD', $password);
        define('DB_HOST', $hostname);
        define('DB_CHARSET', 'utf8mb4');
        define('DB_COLLATE', 'utf8mb4_general_ci');

        parent::__construct($username, $password, $database, $hostname);
    }

    /**
     * Postavlja charset i kolaciju za konekciju.
     */
    public function init_charset()
    {
        $this->charset = 'utf8mb4';
        $this->collate = 'utf8mb4_general_ci';
    }
}