<?php
namespace Ep\Wp\Form;

use Laminas\Form\Element\Select;

/**
 * Class PostSelect
 *
 * @package Ep\Wp\Form
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/wordpress
 */
class PostSelect extends Select
{
    /**
     * @return array
     */
    public function getValueOptions()
    {
        if (null === $this->valueOptions || empty($this->valueOptions)) {
            $this->valueOptions = [];
            $type = $this->getOption('post_type') ?: 'post';
            /** @var \WP_Post[] $posts */
            $posts = get_posts([
                'post_type' => $type,
                'posts_per_page' => -1,
                'orderby' => 'title',
            ]);

            foreach ($posts as $post) {
                $this->valueOptions[$post->ID] = $post->post_title;
            }
        }

        return $this->valueOptions;
    }
}
