<?php
namespace Ep\Wp\Plugin\Core;

use Ak\Wp\Plugin\PluginInterface;

class Misc implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function attach(): void
    {
        add_action('init', [$this, 'init']);
    }

    public function init()
    {
        remove_action('template_redirect', 'redirect_canonical');
        add_filter('home_url', [$this, 'home_url'], 100);
    }

    public function home_url($url)
    {
        if (!preg_match('#^http#', $url)) {
            return sprintf('https://%s/%s', $_SERVER['HTTP_HOST'], ltrim($url, '/'));
        }

        return $url;
    }
}