<?php
namespace Ep\Wp\Plugin;

use Ak\Wp\Plugin\PluginInterface;
use Ep\Wp\Widget\WidgetPluginManager;

/**
 * Class Widgets
 *
 * @package Ep\Wp\Plugin
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
class Widgets implements PluginInterface
{
    /** @var WidgetPluginManager */
    private $widgets;
    /** @var array|mixed */
    private $config;

    /**
     * Widgets constructor.
     *
     * @param WidgetPluginManager $widgets
     * @param array $config
     */
    public function __construct(WidgetPluginManager $widgets, array $config)
    {
        $this->widgets = $widgets;
        $this->config = $config;
    }

    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function attach(): void
    {
        add_action('widgets_init', [$this, 'widgets_init']);
    }

    public function widgets_init(): void
    {
        foreach ($this->config['widgets'] ?? [] as $name) {
            register_widget($this->widgets->get($name));
        }
    }
}