<?php
namespace Ep\Wp\View\Helper;

use Laminas\View\Helper\AbstractHelper;

/**
 * Renderira naslov trenutne stranice.
 *
 * @package Ep\Wp\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/ep-framework/wordpress
 */
final class PageTitle extends AbstractHelper
{
    /**
     * Renderira naslov.
     *
     * @return string
     */
    public function __invoke(): string
    {
        if (is_admin()) {
            return (string) get_admin_page_title();
        }

        return wp_get_document_title();
    }
}
